﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Serialization;
using System.Configuration;

// 
// This source code was auto-generated by wsdl, Version=4.6.1055.0.
// 
namespace RedesignChargeServiceNM
{

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name = "RedesignChargeServiceSoapBinding", Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class RedesignChargeService : System.Web.Services.Protocols.SoapHttpClientProtocol
    {

        private System.Threading.SendOrPostCallback assessRedesignChargeOperationCompleted;

        /// <remarks/>
        public RedesignChargeService()
        {
            this.Url = ConfigurationManager.AppSettings["Url"].ToString();
        }

        /// <remarks/>
        public event assessRedesignChargeCompletedEventHandler assessRedesignChargeCompleted;

        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace = "http://billing.webservices.dn8.sprint.com/", ResponseNamespace = "http://billing.webservices.dn8.sprint.com/", Use = System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle = System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("redesignChargeResponse")]
        public redesignBillingChargeResponseType assessRedesignCharge(redesignBillingChargeRequestType redesignChargeRequest)
        {
            object[] results = this.Invoke("assessRedesignCharge", new object[] {
                    redesignChargeRequest});
            return ((redesignBillingChargeResponseType)(results[0]));
        }

        /// <remarks/>
        public System.IAsyncResult BeginassessRedesignCharge(redesignBillingChargeRequestType redesignChargeRequest, System.AsyncCallback callback, object asyncState)
        {
            return this.BeginInvoke("assessRedesignCharge", new object[] {
                    redesignChargeRequest}, callback, asyncState);
        }

        /// <remarks/>
        public redesignBillingChargeResponseType EndassessRedesignCharge(System.IAsyncResult asyncResult)
        {
            object[] results = this.EndInvoke(asyncResult);
            return ((redesignBillingChargeResponseType)(results[0]));
        }

        /// <remarks/>
        public void assessRedesignChargeAsync(redesignBillingChargeRequestType redesignChargeRequest)
        {
            this.assessRedesignChargeAsync(redesignChargeRequest, null);
        }

        /// <remarks/>
        public void assessRedesignChargeAsync(redesignBillingChargeRequestType redesignChargeRequest, object userState)
        {
            if ((this.assessRedesignChargeOperationCompleted == null))
            {
                this.assessRedesignChargeOperationCompleted = new System.Threading.SendOrPostCallback(this.OnassessRedesignChargeOperationCompleted);
            }
            this.InvokeAsync("assessRedesignCharge", new object[] {
                    redesignChargeRequest}, this.assessRedesignChargeOperationCompleted, userState);
        }

        private void OnassessRedesignChargeOperationCompleted(object arg)
        {
            if ((this.assessRedesignChargeCompleted != null))
            {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.assessRedesignChargeCompleted(this, new assessRedesignChargeCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }

        /// <remarks/>
        public new void CancelAsync(object userState)
        {
            base.CancelAsync(userState);
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class redesignBillingChargeRequestType
    {

        private CommonHeaderType commonHeaderField;

        private RedesignBillingCharge redesignBillingChargeField;

        /// <remarks/>
        public CommonHeaderType commonHeader
        {
            get
            {
                return this.commonHeaderField;
            }
            set
            {
                this.commonHeaderField = value;
            }
        }

        /// <remarks/>
        public RedesignBillingCharge redesignBillingCharge
        {
            get
            {
                return this.redesignBillingChargeField;
            }
            set
            {
                this.redesignBillingChargeField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class CommonHeaderType
    {

        private string sendingApplicationIdField;

        private string sharedSecretField;

        private string transactionIdField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string sendingApplicationId
        {
            get
            {
                return this.sendingApplicationIdField;
            }
            set
            {
                this.sendingApplicationIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string sharedSecret
        {
            get
            {
                return this.sharedSecretField;
            }
            set
            {
                this.sharedSecretField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string transactionId
        {
            get
            {
                return this.transactionIdField;
            }
            set
            {
                this.transactionIdField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class CommonResponseHeaderType
    {

        private string transactionIdField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string transactionId
        {
            get
            {
                return this.transactionIdField;
            }
            set
            {
                this.transactionIdField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class redesignBillingChargeResponseType
    {

        private CommonResponseHeaderType commonResponseHeaderField;

        /// <remarks/>
        public CommonResponseHeaderType commonResponseHeader
        {
            get
            {
                return this.commonResponseHeaderField;
            }
            set
            {
                this.commonResponseHeaderField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://billing.webservices.dn8.sprint.com/")]
    public partial class RedesignBillingCharge
    {

        private string systemField;

        private string redesignNumberField;

        private string redesignTypeField;

        private string customerAccountNumberField;

        private System.DateTime activationDateField;

        private decimal chargeField;

        private string billingEventCodeField;

        private string siteField;

        /// <remarks/>
        public string system
        {
            get
            {
                return this.systemField;
            }
            set
            {
                this.systemField = value;
            }
        }

        /// <remarks/>
        public string redesignNumber
        {
            get
            {
                return this.redesignNumberField;
            }
            set
            {
                this.redesignNumberField = value;
            }
        }

        /// <remarks/>
        public string redesignType
        {
            get
            {
                return this.redesignTypeField;
            }
            set
            {
                this.redesignTypeField = value;
            }
        }

        /// <remarks/>
        public string customerAccountNumber
        {
            get
            {
                return this.customerAccountNumberField;
            }
            set
            {
                this.customerAccountNumberField = value;
            }
        }

        /// <remarks/>
        public System.DateTime activationDate
        {
            get
            {
                return this.activationDateField;
            }
            set
            {
                this.activationDateField = value;
            }
        }

        /// <remarks/>
        public decimal charge
        {
            get
            {
                return this.chargeField;
            }
            set
            {
                this.chargeField = value;
            }
        }

        /// <remarks/>
        public string billingEventCode
        {
            get
            {
                return this.billingEventCodeField;
            }
            set
            {
                this.billingEventCodeField = value;
            }
        }

        /// <remarks/>
        public string site
        {
            get
            {
                return this.siteField;
            }
            set
            {
                this.siteField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    public delegate void assessRedesignChargeCompletedEventHandler(object sender, assessRedesignChargeCompletedEventArgs e);

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.6.1055.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class assessRedesignChargeCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs
    {

        private object[] results;

        internal assessRedesignChargeCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
                base(exception, cancelled, userState)
        {
            this.results = results;
        }

        /// <remarks/>
        public redesignBillingChargeResponseType Result
        {
            get
            {
                this.RaiseExceptionIfNecessary();
                return ((redesignBillingChargeResponseType)(this.results[0]));
            }
        }
    }

}